package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadWSValueCommandResponse;

public class ReadWSValueCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3051868021937132489L;

	@Override
	public Class<ReadWSValueCommandResponse> getResponseClass() {
		return ReadWSValueCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询温湿度监测值命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READWSVALUE;
	}

}
